- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractFrameAdvanceService
- Qt 5.5.1 Reference Documentation

# QAbstractFrameAdvanceService Class

(Qt3D::QAbstractFrameAdvanceService)

Interface for a Qt3D frame advance service More...

Header: | #include <QAbstractFrameAdvanceService>
qmake: | QT += 3dcore
Inherits: | QAbstractServiceProvider
Inherited By: | Qt3D::QTickClockService

- List of all members, including inherited members

## Public Functions

virtual void | start() = 0
virtual void | stop() = 0
virtual qint64 | waitForNextFrame() = 0

- 2 public functions inherited from Qt3D::QAbstractServiceProvider

## Protected Functions

| QAbstractFrameAdvanceService(const QString & description = QString())
| QAbstractFrameAdvanceService(QAbstractFrameAdvanceServicePrivate & dd)

## Detailed Description

Interface for a Qt3D frame advance service

This is an interface class that should be subclassed by providers of the frame advance service. When used with the Renderer aspect, the aspect needs to be the one providing the ticks depending on the vertical refresh rate. When used with no Renderer aspect, a default tick clock implementation can be used.

## Member Function Documentation

### `[protected]` QAbstractFrameAdvanceService::QAbstractFrameAdvanceService(const QString & description = QString())

### `[protected]` QAbstractFrameAdvanceService::QAbstractFrameAdvanceService(QAbstractFrameAdvanceServicePrivate & dd)

### `[pure virtual]` void QAbstractFrameAdvanceService::start()

Starts the service.

### `[pure virtual]` void QAbstractFrameAdvanceService::stop()

Stops the service, performing any cleanup deemed necessary.

### `[pure virtual]` qint64 QAbstractFrameAdvanceService::waitForNextFrame()